Publish a New Message (imageset)

Publish a new Khoros Marketing Message for the target Initiative

Details

Publish a new Spredfast Messages for the target Initiative. Note: For multiple images the cURL should looks like this (notice that content.images is an array and must contain the same number of elements as files being uploaded):

curl \
	--header 'Content-Type: multipart/form-data' \
	--header 'Accept: application/json' \
	--header 'Authorization: Bearer {your token}' \
	--form 'message={"sfEntityType":"Message","service":"FACEBOOK","content":{"sfEntityType":"ImageShareList","images":[{"sfEntityType":"ImageShare","caption":"image one"},{"sfEntityType":"ImageShare","caption":"image two"},{"sfEntityType":"ImageShare","caption":"image three"}]},"targetAccountIds":["4"]};type=application/json' -F '[email protected]' \
	--form '[email protected]' \
	--form '[email protected]' \
	-X POST 'https://api.spredfast.com/v2/conversations/initiative/{initiativeId}/message?imageset'

Content Object (one of the following)

Option 1

discriminator: sfEntityType

FieldType
captionstring

Option 2

sfEntityTypestring
imagesstring or array[object]

images Object (if images field is an array)

captionstring

Option 3

videoTitlestring
descriptionstring
tagsstring. This is a required field. You can add multiple tags and delimit it by comma like tag1, tag2.
categorystring
sfEntityTypestring

YouTube

When YouTube is selected as the service, the value of the category field needs to match one of the keys listed in this table:

KeyDescription
AutosAutos & Vehicles
ComedyComedy
EducationEducation
EntertainmentEntertainment
FilmFilm & Animation
GamesGaming
HowtoHowto & Style
MusicMusic
NewsNews & Politics
NonprofitNonprofits & Activism
PeoplePeople & Blogs
AnimalsPets & Animals
TechScience & Technology
SportsSports
TravelTravel & Events

Option 4

textstring
shareLinkobject
sfEntityTypestring

shareLink Object

urlstring
titlestring
descriptionstring
captionstring
thumbnailUrlstring
Path Params
string
required

The initiative you wish to target. Format: int64

Body Params
string

Khoros Marketing internal entity type. Allowed Values: Message

string
string
string
string
Defaults to FACEBOOK

Social network to publish to. Allowed Values: FACEBOOK, GOOGLEPLUS, SINAWEIBO, LINKEDIN, MULTI_CHANNEL, PINTEREST, YOUTUBE, VK, TIKTOK

targetAccountIds
array of strings
targetAccountIds
string

AllowedValues: VISIBLE, INVISIBLE, VISIBLE_POST_PUBLISH

string
Defaults to DRAFT

Allowed Values: DRAFT, PENDING, AWAITING_APPROVAL, REJECTED, PUBLISHED, ERROR, DELETED, NATIVELY_SCHEDULED

string

Allowed Values: NOT_DELEGATED, SCHEDULED_FOR_DELEGATION, DELEGATION_FAILED, DELEGATED

publicationResults
array of objects
publicationResults
string

Format: date-time

callbacks
array of strings

uniqueItems: true uniqueItems: true Callback URLs need to be a POST type. Other types of URLs may result in an error response.

callbacks
targetingProfile
object
assetIds
array of strings
assetIds
string
boolean
sponsor
object

A Sponsor for the Message. Currently, we only support attaching a single sponsor when posting to only Facebook verified Pages (a.k.a. Facebook Branded Content, see https://www.facebook.com/facebookmedia/get-started/branded-content for more info), so any attempt to use it either for other Social Networks or including targets that don’t comply with this rule, will result in an error from the back-end. Note that the Sponsor itself is not restricted to be a verified page, so it could be a regular (non-verified) page or a regular user. As an example, a post could be created, targeting the Facebook verified page of @LeoMessi and that post could be sponsored by @nike.

publisherIds
array of strings
publisherIds
notes
array of objects
notes
Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain